﻿// -----------------------------------------------------------------------
// <copyright file="OldInstrumentedMethod.cs" company=".">
// 
// </copyright>
// -----------------------------------------------------------------------

namespace mockupCirene.Model.Components
{
    using mockupCirene.Helpers;

    /// <summary>
    /// With this data, method information is given.
    /// </summary>
    public class OldInstrumentedMethod : ObservableObject
    {
        int _id;

        /// <summary>
        /// Gets and sets test ID.
        /// </summary>
        public int ID
        {
            get { return _id; }
            set 
            { 
                _id = value;
                RaisePropertyChanged("ID");                
            }
        }

        string _method;

        /// <summary>
        /// Gets and sets instrumented test ID.
        /// </summary>
        public string Method
        {
            get { return _method; }
            set 
            { 
                _method = value;
                RaisePropertyChanged("Method");
            }
        }

        string _package;

        /// <summary>
        /// Gets and sets Android package name.
        /// </summary>
        public string Package
        {
            get { return _package; }
            set 
            { 
                _package = value;
                RaisePropertyChanged("Package");
            }
        }
    }
}
