﻿
namespace mockupCirene.ViewModel.Converters
{
    using System;
    using System.Globalization;
    using System.Windows.Data;

    /// <summary>
    /// This class contains a method and a property for conversion from bool to read-only. 
    /// </summary>
    public class BoolToReadOnlyConverter : IValueConverter
    {
        /// <summary>
        /// This method serves as a type converter.
        /// </summary>
        /// <param name="value"></param>
        /// <param name="targetType"></param>
        /// <param name="parameter"></param>
        /// <param name="culture"></param>
        /// <returns>
        /// Returns an object.
        /// </returns>
        public object Convert(object value, Type targetType,
            object parameter, CultureInfo culture)
        {
            bool capt = (bool)value;

            if (capt == true)
            {
                return false;
            }else{
                return true;
            }
        }

        /// <summary>
        /// Coverts back to the same type.
        /// </summary>
        /// <param name="value"></param>
        /// <param name="targetType"></param>
        /// <param name="parameter"></param>
        /// <param name="culture"></param>
        /// <returns>
        /// Returns an object.
        /// </returns>
        public object ConvertBack(object value, Type targetType,
            object parameter, CultureInfo culture)
        {
            return true;
        }
    }
}
