﻿// -----------------------------------------------------------------------
// <copyright file="MultiConverter.cs" company=".">
// 
// </copyright>
// -----------------------------------------------------------------------

namespace mockupCirene.ViewModel.Converters
{
    using System;
    using System.Globalization;
    using System.Windows.Data;
    using mockupCirene.Model;

    /// <summary>
    /// This class has conversion methods for values.
    /// </summary>
    public class MultiConverter : IMultiValueConverter
    {
        /// <summary>
        /// Converts the values.
        /// </summary>
        /// <param name="values"></param>
        /// <param name="targetType"></param>
        /// <param name="parameter"></param>
        /// <param name="culture"></param>
        /// <returns>
        /// Returns an object.
        /// </returns>
        public object Convert(object[] values, Type targetType, object parameter, CultureInfo culture)
        {
            values[1] = values[0];
            return values;
        }

        /// <summary>
        /// Converts the value back. 
        /// </summary>
        /// <param name="value"></param>
        /// <param name="targetTypes"></param>
        /// <param name="parameter"></param>
        /// <param name="culture"></param>
        /// <returns>
        /// Returns an array of objects.
        /// </returns>
        public object[] ConvertBack(object value, Type[] targetTypes, object parameter, CultureInfo culture)
        {
            object[] values = new object[2];
            values[0] = value;
            var selected = (StopCriteria)value;
          
            values[1] = false;
      
            return values;
        }
    }
}
