﻿// -----------------------------------------------------------------------
// <copyright file="TestCaseViewModel.cs" company=".">
// 
// </copyright>
// -----------------------------------------------------------------------

namespace mockupCirene.ViewModel.Testing
{
    using mockupCirene.Helpers;
    using mockupCirene.Model;

    /// <summary>
    /// This class makes up a test case view model.
    /// </summary>
    public class TestCaseViewModel : ObservableObject
    {
        TestCase _model;
     
        /// <summary>
        /// Gets and sets the model.
        /// </summary>
        public TestCase Model
        {
            get { return _model; }
            set 
            { 
                _model = value;
                RaisePropertyChanged("Model");
            }
        }

        /// <summary>
        /// Constructor for the test case view model.
        /// </summary>
        /// <param name="model"></param>
        public TestCaseViewModel(TestCase model)
        {
            Model = model;
        }
    }
}
