﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using mockupCirene.Model;
using mockupCirene.Model.Components;
using mockupCirene.Model.TestModel;
using mockupCirene.ViewModel.Testing;
using mockupCirene.ViewModel;
using mockupCirene.Views;
using mockupCirene.Views.TestingViews;
using mockupCirene.Views.TestingViews.InstrumentationViews;

namespace mockupCirene.Views.TestingViews.InstrumentationViews
{
    /// <summary>
    /// Interaction logic for TestCaseWindowView.xaml
    /// </summary>
    public partial class TestCaseWindowView : Window
    {
        public TestCaseWindowView()
        {
            InitializeComponent();
        }

        private void DataGrid_MouseDoubleClick(object sender, MouseButtonEventArgs e)
        {
            if (sender != null)
            {
                DataGrid grid = sender as DataGrid;
                if (grid != null && grid.SelectedItems != null && grid.SelectedItems.Count == 1)
                {
                    DataGridRow dgr = grid.ItemContainerGenerator.ContainerFromItem(grid.SelectedItem) as DataGridRow;                
                    var win = new CoveredNotCoveredWindowView();      
                    var vm = dgr.DataContext as TestApplication;
                    win.DataContext = new TestedApplicationViewModel(vm);
                    win.Owner = this;
                    win.ShowDialog();
                }
            }
        }
    }
}
