﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using mockupCirene.Model;
using mockupCirene.ViewModel.Testing;
using mockupCirene.ViewModel;
using mockupCirene.Views;
using mockupCirene.Views.TestingViews;
using mockupCirene.Views.TestingViews.InstrumentationViews;

namespace mockupCirene.Views.TestingViews
{
    /// <summary>
    /// Interaction logic for InstrumetationResultView.xaml
    /// </summary>
    public partial class InstrumetationResultView : UserControl
    {
        public InstrumetationResultView()
        {
            InitializeComponent();
        }

        private void DataGrid_MouseDoubleClick(object sender, MouseButtonEventArgs e)
        {
            if (sender != null)
            {
                DataGrid grid = sender as DataGrid;
                if (grid != null && grid.SelectedItems != null && grid.SelectedItems.Count == 1)
                {
                    DataGridRow dgr = grid.ItemContainerGenerator.ContainerFromItem(grid.SelectedItem) as DataGridRow;
                    //var dc = dgr.DataContext;
                    /*var viewModel = (InstrumentationViewModel)DataContext;
                    if (viewModel.NavigateForwardCommand.CanExecute(null))
                        viewModel.NavigateForwardCommand.Execute(null);*/
                    var win = new TestCaseWindowView();
                    //win.Content = new SelectedTestCaseView() { HorizontalAlignment = HorizontalAlignment.Center };
                    //win.SizeToContent = SizeToContent.WidthAndHeight;
                    var vm = DataContext as ReportViewModel;
                    
                    win.DataContext =  new TestCaseViewModel(vm.SelectedTestCase);
                    win.Title = vm.SelectedTestCase.Name;
                    win.ShowDialog();
                }   
            }
        }

        private void TabItem_Loaded(object sender, RoutedEventArgs e)
        {
           // Example1.ItemsSource = (DataContext as TestCases);
        }

        private void TabItem_GotFocus(object sender, RoutedEventArgs e)
        {

        }
    }
}
