﻿// -----------------------------------------------------------------------
// <copyright file="CovererageItem.cs" company=".">
// 
// </copyright>
// -----------------------------------------------------------------------

namespace mockupCirene.Model.Components
{
    using mockupCirene.Helpers;

    /// <summary>
    /// This class informs about the properties of the covered/not covered method.
    /// </summary>
    public class CovererageItem : ObservableObject
    {
        string _name;

        /// <summary>
        /// Property that gets and sets method name.
        /// </summary>
        public string Name
        {
            get { return _name; }
            set 
            { 
                _name = value;
                RaisePropertyChanged("Name");
            }
        }

        int _count;

        /// <summary>
        /// Property that gets and sets counter of covered methods.
        /// </summary>
        public int Count
        {
            get { return _count; }
            set 
            { 
                _count = value;
                RaisePropertyChanged("Count");
            }
        }

    }
}
