﻿// -----------------------------------------------------------------------
// <copyright file="TestingResultViewModel.cs" company=".">
// 
// </copyright>
// -----------------------------------------------------------------------

namespace mockupCirene.ViewModel.Testing
{
    using mockupCirene.Helpers;
    using mockupCirene.Model;

    /// <summary>
    /// The class for view model of the tested application.
    /// </summary>
    public class TestedApplicationViewModel : ObservableObject
    {
        public TestedApplicationViewModel(TestApplication model)
        {
            _model = model;
        }

        TestApplication _model;

        /// <summary>
        /// Gets and sets the model.
        /// </summary>
        public TestApplication Model
        {
            get { return _model; }
            set 
            { 
                _model = value;
                RaisePropertyChanged("Model");
            }
        }
    }
}
