﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using mockupCirene.ViewModel.Testing;
using mockupCirene.ViewModel;
using mockupCirene.Model;



namespace mockupCirene.Views.TestingViews.InstrumentationViews
{
    /// <summary>
    /// Interaction logic for SelectedTestCaseView.xaml
    /// </summary>
    public partial class SelectedTestCaseView : UserControl
    {
        public SelectedTestCaseView()
        {
            InitializeComponent();
        }

        private void DataGrid_MouseDoubleClick(object sender, MouseButtonEventArgs e)
        {
            if (sender != null)
            {
                DataGrid grid = sender as DataGrid;
                if (grid != null && grid.SelectedItems != null && grid.SelectedItems.Count == 1)
                {
                    DataGridRow dgr = grid.ItemContainerGenerator.ContainerFromItem(grid.SelectedItem) as DataGridRow;                
                    var  win = new SelectedTestCasesWindowView();               
                    win.SizeToContent = SizeToContent.WidthAndHeight;
                    var tc = dgr.DataContext as TestApplication;
                    win.DataContext = new SelectedApplicationViewModel(tc);              
                    win.ShowDialog();
                }
            }
        }
    }
}

